You are not logged in.

#1 2022-06-03 12:09:06

byjove01
Member
From: Alps, France
Registered: 2021-02-15
Posts: 141

Can't use my Radeon RX 5700 XT with Blender on Linux

Hello.

The title sums up the problem. I tried to install OpenCL and use my RX 5700 XT to make 3D renders with my graphic card, but even though Blender does run well, there's no way I could connect it to my GPU.
Apparently, renders are made using my CPU (not the best way to use it I guess) and that also explains why they're so long to be made.

I saw an article talking about an improved management of AMD GPUs in Blender 3.0, the thing is that now we're at 3.1.2 and I still can't use my GPU, either with HIP or OpenCL.
Any solution ?

Offline

#2 2022-06-05 13:03:56

apaz
Member
Registered: 2018-07-23
Posts: 92

Re: Can't use my Radeon RX 5700 XT with Blender on Linux

Blender has removed OpenCL support. In the future it will support HIP with ROCm but in any case your (and mine) video card only has partial ROCm support. Although criticized, it was a mistake to remove OpenCL.

Offline

#3 2022-06-09 18:43:02

byjove01
Member
From: Alps, France
Registered: 2021-02-15
Posts: 141

Re: Can't use my Radeon RX 5700 XT with Blender on Linux

I read somewhere that HIP is Windows-only and there's no info about it being supported on Linux. Any idea aout that?

Offline

#4 2022-06-09 21:52:18

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 17,662

Re: Can't use my Radeon RX 5700 XT with Blender on Linux

It got added in the just released 3.2 version: https://wiki.blender.org/wiki/Reference … _Rendering but it seems there's something missing from the Arch package (I'd assume some build flags/build deps): https://bugs.archlinux.org/task/75011

Last edited by V1del (2022-06-09 21:56:08)

Offline

#5 2022-06-27 12:47:31

byjove01
Member
From: Alps, France
Registered: 2021-02-15
Posts: 141

Re: Can't use my Radeon RX 5700 XT with Blender on Linux

The Blender package seems like it has been repaired now, but I still got this problem : https://i.imgur.com/d8kZOXw.png

Kinda problematic.

Offline

#6 2022-06-28 08:50:54

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 17,662

Re: Can't use my Radeon RX 5700 XT with Blender on Linux

If you use the package from the repos, no it hasn't, try the upstream binary build.

Offline

#7 2022-06-29 06:40:04

apaz
Member
Registered: 2018-07-23
Posts: 92

Re: Can't use my Radeon RX 5700 XT with Blender on Linux

To me (RX 5700XT) with the upstream binary build everything is recognized without problems, but the rendering still works with just the CPU without using the GPU.
https://postimg.cc/18CZk7nJ

More info:
https://devtalk.blender.org/t/cycles-am … 254?page=9

Last edited by apaz (2022-06-29 06:41:46)

Offline

#8 2022-07-05 06:03:00

byjove01
Member
From: Alps, France
Registered: 2021-02-15
Posts: 141

Re: Can't use my Radeon RX 5700 XT with Blender on Linux

V1del wrote:

If you use the package from the repos, no it hasn't, try the upstream binary build.

Same. Blender still doesn't recognize my graphic card and pretends there's none, stating there is a need for up-to-date AMD drivers blablablah...
I guess I'm gonna wait again.

Offline

#9 2022-09-22 08:07:30

byjove01
Member
From: Alps, France
Registered: 2021-02-15
Posts: 141

Re: Can't use my Radeon RX 5700 XT with Blender on Linux

Hello again. Actually downloaded Blender 3.3.0 upstream build, the same problem is still here. That's actually embarrassing : did the Blender repository problem we talked about got solved?
I'd like to use Blender with my own graphics and not to overcharge my CPU...

Offline

#10 2022-09-22 08:35:04

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 17,662

Re: Can't use my Radeon RX 5700 XT with Blender on Linux

If the upstream build fails then it's likely a problem with your env. Did you install the necessary rocm packages that would enable this? And yes the repository version should be fixed in so far, granted you have installed the rocm stack correctly (...which you'd need to do from the AUR currently) https://wiki.archlinux.org/title/GPGPU#ROCm

Last edited by V1del (2022-09-22 08:40:28)

Offline

#11 2022-09-22 21:14:22

byjove01
Member
From: Alps, France
Registered: 2021-02-15
Posts: 141

Re: Can't use my Radeon RX 5700 XT with Blender on Linux

Ah, thanks, now both my GPU and my CPU are recognized by Blender and appeared in the settings! But I still have another problem: when I try to make a GPU-based render, Blender shows a little error in the left-top corner of the window:

"HIP hipcc compiler not found. Install HIP toolkit in default location."

I tried to install the compiler separately - it's strange it just doesn't got installed with the big AUR package that forced me to kill plasmashell because of its RAM needs - via this github repo (https://github.com/ROCm-Developer-Tools/HIPCC) but apparently it's not enough.

Last edited by byjove01 (2022-09-22 21:16:01)

Offline

#12 2022-09-24 14:40:32

Lone_Wolf
Member
From: Netherlands, Europe
Registered: 2005-10-04
Posts: 10,501

Re: Can't use my Radeon RX 5700 XT with Blender on Linux


Disliking systemd intensely, but not satisfied with alternatives so focusing on taming systemd.


(A works at time B)  && (time C > time B ) ≠  (A works at time C)

Offline

#13 2022-09-24 23:36:38

byjove01
Member
From: Alps, France
Registered: 2021-02-15
Posts: 141

Re: Can't use my Radeon RX 5700 XT with Blender on Linux

The package can't build, because it apparently can't find the packages named rocm-llvm-mlir, miopengemm and python-cppheaderparser.

Offline

#14 2022-09-25 09:55:52

Lone_Wolf
Member
From: Netherlands, Europe
Registered: 2005-10-04
Posts: 10,501

Re: Can't use my Radeon RX 5700 XT with Blender on Linux

For clarity :
You are using https://aur.archlinux.org/packages/opencl-amd and https://aur.archlinux.org/packages/opencl-amd-dev to provide the dependencies rocm-developer-tools needs ?


Disliking systemd intensely, but not satisfied with alternatives so focusing on taming systemd.


(A works at time B)  && (time C > time B ) ≠  (A works at time C)

Offline

#15 2022-10-04 22:29:19

byjove01
Member
From: Alps, France
Registered: 2021-02-15
Posts: 141

Re: Can't use my Radeon RX 5700 XT with Blender on Linux

Sorry, can't tell you that... it just tells me build has failed with error 2.

Offline

#16 2022-10-06 11:05:29

Lone_Wolf
Member
From: Netherlands, Europe
Registered: 2005-10-04
Posts: 10,501

Re: Can't use my Radeon RX 5700 XT with Blender on Linux

That indicates you are running a command (probably an aur helper) without understanding the process of building an aur pacakge.
I do suggest you read the wiki pages about aur, makepkg  and PKGBUILD plus the pages they link to.

For now building rocm is to hard for you, try using the arch4edu repo.

See the readme.md on https://github.com/rocm-arch/rocm-arch .



above your head,


Disliking systemd intensely, but not satisfied with alternatives so focusing on taming systemd.


(A works at time B)  && (time C > time B ) ≠  (A works at time C)

Offline

#17 2022-10-07 18:30:34

byjove01
Member
From: Alps, France
Registered: 2021-02-15
Posts: 141

Re: Can't use my Radeon RX 5700 XT with Blender on Linux

I know how to build an AUR package... I just didn't get what you meant by using these packages, but now that I gave a more precise look on rocm-developer-tools page, I understand now. Stupid me.
Anyways I'll still use the prebuilt binaries, and if it doesn't work, I'll compile rocm-developers-tools by myself to see if it can solve my problem. I'll probably give news soon.

Offline

#18 2022-11-07 16:52:26

byjove01
Member
From: Alps, France
Registered: 2021-02-15
Posts: 141

Re: Can't use my Radeon RX 5700 XT with Blender on Linux

Hi. Desperately tried to install the ROCm tools on my distro, but the issue persists. I still got this damn error message when I try to render with Cycles on my GPU. Any other idea?

Offline

Board footer

Powered by FluxBB